Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.sql
Enum QSqlField.RequiredStatus

    java.lang.Object
      java.lang.Enum<QSqlField.RequiredStatus>
          com.trolltech.qt.sql.QSqlField.RequiredStatus

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSqlField.RequiredStatus>

Enclosing class:
  QSqlField

    public static enum QSqlField.RequiredStatus

extends java.lang.Enum<QSqlField.RequiredStatus>
implements QtEnumerator

Specifies whether the field is required or optional.

See Also:
  `requiredStatus`

Enum Constant Summary
`Optional` The fields doesn't have to be specified when inserting records.
`Required` The field must be specified when inserting records.
`Unknown` The database driver couldn't determine whether the field is required or optional.

Method Summary
`static QSqlField.RequiredStatus` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlField.RequiredStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSqlField.RequiredStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Unknown

    public static final QSqlField.RequiredStatus Unknown

  The database driver couldn't determine whether the field is required or optional.

### Optional

    public static final QSqlField.RequiredStatus Optional

  The fields doesn't have to be specified when inserting records.

### Required

    public static final QSqlField.RequiredStatus Required

  The field must be specified when inserting records.

Method Detail

### values

    public static final QSqlField.RequiredStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSqlField.RequiredStatus c : QSqlField.RequiredStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSqlField.RequiredStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlField.RequiredStatus resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD